Bug 879545 - org.infinispan.server.memcached.MemcachedClusteredStatsTest.testSingleConnectionPerServer fails periodically on all environments
Summary: org.infinispan.server.memcached.MemcachedClusteredStatsTest.testSingleConnect...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: 6.1.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-23 09:43 UTC by Anna Manukyan
Modified: 2013-10-07 00:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2543 0 Major Resolved org.infinispan.server.memcached.MemcachedClusteredStatsTest.testSingleConnectionPerServer fails periodically on all envi... 2013-04-18 02:46:33 UTC

Description Anna Manukyan 2012-11-23 09:43:31 UTC
org.infinispan.server.memcached.MemcachedClusteredStatsTest.testSingleConnectionPerServer test fails periodically on RHEL6_x86 and RHEL6_x86_64 - JDK7, IBM JDK7 & OpenJDK7. The test also fails on Windows 2008 64 bit with Oracle JDK 7.

You can find the test failures here:

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/edg-60-ispn-testsuite-rhel/jdk=openjdk-1.7.0-local,label=RHEL6_x86_64/55/testReport/org.infinispan.server.memcached/MemcachedClusteredStatsTest/testSingleConnectionPerServer/

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/edg-60-ispn-testsuite-rhel/jdk=java17_default,label=RHEL6_x86/54/testReport/org.infinispan.server.memcached/MemcachedClusteredStatsTest/testSingleConnectionPerServer/

Comment 1 Anna Manukyan 2012-12-07 08:00:13 UTC
The error is the following:
Error Message

Unknown attribute 'NumberOfGlobalConnections'. Known attributes names are: [port, numberWorkerThreads, receiveBufferSize, totalBytesRead, numberOfGlobalConnections, idleTimeout, totalBytesWritten, hostName, numberOfLocalConnections, sendBufferSize, tpcNoDelay]

Stacktrace

javax.management.AttributeNotFoundException: Unknown attribute 'NumberOfGlobalConnections'. Known attributes names are: [port, numberWorkerThreads, receiveBufferSize, totalBytesRead, numberOfGlobalConnections, idleTimeout, totalBytesWritten, hostName, numberOfLocalConnections, sendBufferSize, tpcNoDelay]
	at org.infinispan.jmx.ResourceDMBean.getAttribute(ResourceDMBean.java:201)
	at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.getAttribute(DefaultMBeanServerInterceptor.java:647)
	at com.sun.jmx.mbeanserver.JmxMBeanServer.getAttribute(JmxMBeanServer.java:668)
	at org.infinispan.server.core.ConnectionStatsTests$.testGlobalConnections(ConnectionStatsTests.scala:68)
	at org.infinispan.server.memcached.MemcachedClusteredStatsTest.testSingleConnectionPerServer(MemcachedClusteredStatsTest.scala:61)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)

Comment 2 JBoss JIRA Server 2012-12-07 09:16:47 UTC
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira ISPN-2543

The real issue here is that NettyTransport.calculateGlobalConnections() is timing out while running the distributed executor to fetch connection counts from all nodes

Comment 3 JBoss JIRA Server 2012-12-07 09:24:19 UTC
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira ISPN-2543

The issue is caused by a deadlock while invoking ResourceDMBean.getNamedAttribute() which is synchronized.
This method was made synchronized after ISPN-1135 but I don't know why it should be


Note You need to log in before you can comment on or make changes to this bug.